#ifndef _RTE_CONTROL_VELOCIDAD_PARAMETERS_H
#define _RTE_CONTROL_VELOCIDAD_PARAMETERS_H
#include "rtwtypes.h"
#include "SegmentInfo.hpp"
#include "multiword_types.h"
#include "zero_crossing_types.h"
#include "control_Velocidad_types.h"

struct RTE_Param_Service_T {
  real_T cte_amplitud;
  real_T limite_direccion;
  uint64_T cte_encoder;
};

extern RTE_Param_Service_T RTE_Param_Service;
extern RTE_Param_Service_T *RTE_Param_Service_ptr;
real_T* get_cte_amplitud(void);
real_T* get_limite_direccion(void);
uint64_T* get_cte_encoder(void);
namespace slrealtime
{
  SegmentVector &getSegmentVector(void);
}                                      // slrealtime

#endif
